Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226998 - Review Request: gemdropx - Falling blocks puzzlegame
Summary: Review Request: gemdropx - Falling blocks puzzlegame
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-02 15:47 UTC by Hans de Goede
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-14 08:37:13 UTC
mtasaka: fedora-review+
notting: fedora-cvs+


Attachments (Terms of Use)

Description Hans de Goede 2007-02-02 15:47:27 UTC
Spec URL: http://people.atrpms.net/~hdegoede/gemdropx.spec
SRPM URL: http://people.atrpms.net/~hdegoede/gemdropx-0.9-1.fc7.src.rpm
Description:
Gem Drop X is a fast-paced puzzle game where it is your job to clear
the screen of gems before they squash you.

Comment 1 Mamoru TASAKA 2007-02-07 17:45:33 UTC
Well,

* BuildRequires
  - Mockbuild fails on FC7 i386 (needs desktop-file-utils)

* Documentation
  - Please add other "README" files 

* Timestamps
  - keep timestamps on image files and etc, i.e. use "cp -p"
    or "install -p"

* Desktop file entry
-----------------------------------------------------
  --add-category X-Fedora                       \
-----------------------------------------------------
  is deprecated and should be removed.

* Scriptlets
-----------------------------------------------------
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
-----------------------------------------------------
  is redundant because execution of non-existing file
  simply exits with 127 and is ignored by || :

Comment 2 Hans de Goede 2007-02-09 09:04:06 UTC
(In reply to comment #1)
> Well,
> 
> * BuildRequires
>   - Mockbuild fails on FC7 i386 (needs desktop-file-utils)
> 
Oops, can't believe I forgot that, fixed.

> * Documentation
>   - Please add other "README" files 
> 
I assume you mean INSTALL.txt ICON.txt and TODO.txt?
INSTALL.txt and ICON.txt both contain installation instructions and thus should
not be packaged. I've added TODO.txt

> * Timestamps
>   - keep timestamps on image files and etc, i.e. use "cp -p"
>     or "install -p"
> 

Fixed

> * Desktop file entry
> -----------------------------------------------------
>   --add-category X-Fedora                       \
> -----------------------------------------------------
>   is deprecated and should be removed.
> 
> * Scriptlets
> -----------------------------------------------------
> if [ -x %{_bindir}/gtk-update-icon-cache ]; then
> -----------------------------------------------------
>   is redundant because execution of non-existing file
>   simply exits with 127 and is ignored by || :

I've been doing things like this for over a year now, I know there was some
discussion about both of these but I never followed it close enough to learn the
new guidelines, to busy with other Fedora stuff. I've read the new guidelines
now, thanks for straightening me out on this -> Both fixed.

Here is a new version with all this fixed:
Spec URL: http://people.atrpms.net/~hdegoede/gemdropx.spec
SRPM URL: http://people.atrpms.net/~hdegoede/gemdropx-0.9-2.fc7.src.rpm


Comment 3 Mamoru TASAKA 2007-02-09 09:45:38 UTC
(In reply to comment #2)
> > * Documentation
> >   - Please add other "README" files 
> > 
> I assume you mean INSTALL.txt ICON.txt and TODO.txt?
> INSTALL.txt and ICON.txt both contain installation instructions and thus should
> not be packaged. I've added TODO.txt

Ah.. I meant:
----------------------------------------
./data/images/README
./data/sounds/README
./README.txt
./action/README.txt
----------------------------------------
These files explains where the image/sounds files came
from and I think adding these files is kinder.

Comment 4 Hans de Goede 2007-02-09 10:49:35 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > > * Documentation
> > >   - Please add other "README" files 
> > > 
> > I assume you mean INSTALL.txt ICON.txt and TODO.txt?
> > INSTALL.txt and ICON.txt both contain installation instructions and thus should
> > not be packaged. I've added TODO.txt
> 
> Ah.. I meant:
> ----------------------------------------
> ./data/images/README
> ./data/sounds/README
> ./README.txt
> ./action/README.txt
> ----------------------------------------
> These files explains where the image/sounds files came
> from and I think adding these files is kinder.

I see, Good idea, new version with these files added is here:
Spec URL: http://people.atrpms.net/~hdegoede/gemdropx.spec
SRPM URL: http://people.atrpms.net/~hdegoede/gemdropx-0.9-2.fc7.src.rpm

Comment 5 Mamoru TASAKA 2007-02-09 11:13:40 UTC
Well, I will check 0.9-2 later.

By the way, would you tell me in advance to which repository
(FE-7/6/5) you want to import this package? (I currently
don't know how the new review process will become...
and.. do I have to ask the submitter in advance??)

Comment 6 Hans de Goede 2007-02-09 11:23:13 UTC
Its intended for FE-6 and devel.



Comment 7 Mamoru TASAKA 2007-02-09 14:07:44 UTC
Okay.
----------------------------------------------------
  This package is APPROVED by me with the following summary:

* Owner: j.w.r.degoede@hhs.nl
* Name:  gemdropx
* Summary: Falling blocks puzzlegame
* Branch: FC-devel FC-6
-----------------------------------------------------
  Requesting cvs admin for making initial directories.
  Please wait until cvs admin answers on this bug.

Comment 8 Hans de Goede 2007-02-14 08:37:13 UTC
Imported and build for FC-6 and devel, closing.

p.s.

Thanks for the review!


Comment 9 Mamoru TASAKA 2007-02-14 09:00:50 UTC
You are welcome!


Note You need to log in before you can comment on or make changes to this bug.